/**
 * Data model pour les pouvoirs
 */
export default class PouvoirDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      chemin: new fields.StringField({ initial: "force" }),
      attribut1: new fields.StringField({ initial: "cla" }),
      competence: new fields.StringField({ initial: "" }),
      seuil: new fields.NumberField({ initial: 0, integer: true }),
      coutpsyche: new fields.NumberField({ initial: 0, integer: true }),
      cible: new fields.StringField({ initial: "" }),
      duree: new fields.StringField({ initial: "" }),
      formulesimple: new fields.StringField({ initial: "" }),
      formuleetendue: new fields.StringField({ initial: "" })
    };
  }
}
